Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# iconsource.hh File Reference

A GtkIconSource C++ wrapper interface. More...

`#include <xfc/glib/boxed.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <gtk/gtkiconfactory.h>`
`#include <xfc/gtk/inline/iconsource.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::IconSource
    A GtkIconSource C++ wrapper class. More...

## Detailed Description

A GtkIconSource C++ wrapper interface.

Provides IconSource, an object that contains a Gdk::Pixbuf (or image filename) that serves as the base image for one or more of the icons in an IconSet, along with a specification for which icons in the icon set will be based on that pixbuf or image file.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3